GNU bug report logs - #48252
28.0.50; Emacs crashes while printing an error message

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eli Zaretskii <eliz@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 48252 <at> debbugs.gnu.org and Eli Zaretskii <eliz@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 1 Jul 2022 11:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 01 07:03:55 2022
Received: from localhost ([127.0.0.1]:36354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o7ERH-0007xl-GN
	for submit <at> debbugs.gnu.org; Fri, 01 Jul 2022 07:03:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o7ERD-0007xL-6D
 for 48252 <at> debbugs.gnu.org; Fri, 01 Jul 2022 07:03:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=6AaARc8yoeQeOMnTFLCGt2stdSOIuT9T+l/RJvp1cAk=; b=Cr18heLbHfEiNfzmIKD1Tb5p0D
 53KHUOOK0niW2tioBx1FDRC2UDgpEyGveHmq9IfIbm13h5DxgPsx3xpiYiGflgxp9ookULctC+N6T
 /SdVuZxtE4cb2qHXAT/oRVbmaw+zA/v5n+ENSV1Lg1pvMJGhuAS7Ky9T+lg0zEPYnkBE=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o7ER3-00064R-Tl; Fri, 01 Jul 2022 13:03:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: andrei.elkin@HIDDEN
Subject: Re: bug#48252: 28.0.50; Emacs crashes while printing an error message
In-Reply-To: <87wndzw6ci.fsf_-_@HIDDEN> (Lars Ingebrigtsen's message of
 "Thu, 02 Jun 2022 15:19:25 +0200")
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
 <83v91hrvql.fsf@HIDDEN> <87bl37amy4.fsf@quad>
 <83bl37rfjl.fsf@HIDDEN> <87cznn7npv.fsf@quad>
 <83sfwjpr0q.fsf@HIDDEN> <87ee824vpb.fsf@quad>
 <87wndzw6ci.fsf_-_@HIDDEN>
X-Now-Playing: Joan as Police Woman's _Enter The Dragon_: "Geometry Of You"
Date: Fri, 01 Jul 2022 13:03:40 +0200
Message-ID: <87ilohaycz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: >> I'll try to
 reproduce it, I feel I know how to :-),
 just not sure about >> -Q. Most probably
 my init file matters critically. > > Andrei, did you make any progress in
 reproducing this problem (if y [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> I'll try to reproduce it, I feel I know how to :-), just not sure about
>>  -Q. Most probably my init file matters critically.
>
> Andrei, did you make any progress in reproducing this problem (if you
> still experience it in recent Emacs versions)?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 2 Jun 2022 13:19:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 09:19:38 2022
Received: from localhost ([127.0.0.1]:53122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwkji-00076x-1V
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2022 09:19:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nwkjg-00076f-Nl
 for 48252 <at> debbugs.gnu.org; Thu, 02 Jun 2022 09:19:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wCqBv3BQN88XtO3nVHq09zP1+Crb/ZurvAuzsMmDKZk=; b=HZTI/fSQ5VPU1ydgnsCXX1vd0C
 2fL5T+/ltVWbdY9rRl9ZcyC/oKCuuOD7kgara6vCnSHY9lTtheKMnBw4FLdF5T36yCPvyWf5Uc1xP
 H7HugGaKIct+31Km4CW9jAn4wEe+kA+acFeBTwudmG22EoeAgfncPqSmefx9YggOjSKQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nwkjX-00088h-5h; Thu, 02 Jun 2022 15:19:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: andrei.elkin@HIDDEN
Subject: Re: bug#48252: 28.0.50; Emacs crashes while printing an error message
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
 <83v91hrvql.fsf@HIDDEN> <87bl37amy4.fsf@quad>
 <83bl37rfjl.fsf@HIDDEN> <87cznn7npv.fsf@quad>
 <83sfwjpr0q.fsf@HIDDEN> <87ee824vpb.fsf@quad>
Date: Thu, 02 Jun 2022 15:19:25 +0200
In-Reply-To: <87ee824vpb.fsf@quad> (andrei elkin's message of "Sat, 30 Oct
 2021 14:07:44 +0300")
Message-ID: <87wndzw6ci.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  andrei.elkin@HIDDEN writes: > I'll try to reproduce it, 
 I feel I know how to :-), just not sure about > -Q. Most probably my init
 file matters critically. Andrei, did you make any progress in reproducing
 this problem (if you still experience it in recent Emacs versions)? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

andrei.elkin@HIDDEN writes:

> I'll try to reproduce it, I feel I know how to :-), just not sure about
>  -Q. Most probably my init file matters critically.

Andrei, did you make any progress in reproducing this problem (if you
still experience it in recent Emacs versions)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 30 Oct 2021 12:05:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 08:05:25 2021
Received: from localhost ([127.0.0.1]:56809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgn6y-0000ms-R9
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 08:05:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mgn6w-0000mf-TK
 for 48252 <at> debbugs.gnu.org; Sat, 30 Oct 2021 08:05:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51298)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mgn6q-0000bK-Ny; Sat, 30 Oct 2021 08:05:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=3Hps3501p4y6HMeiSbapxb3FN9Z0kE2pV3eviafGyBU=; b=JAhDcIn7weJG
 KXRIad+ACXaw6U3cmH8UzGWJymhaLlkYkK7rRyQ7pdPpk4A5M6w7CITV3JaZOSfSkR8hDJ28hk3CM
 VzGbS0u8eRE6WVQpz9NNfGBkU+x8HVrSRVFwFxGbZuv5zWiX5j1VY/j5MNF7DFcUn1FMCqBxx+AMw
 u7dxsjJ72XFhwx2VW/0koUVbmp0jmuCm4opCVPUHiL2mi339eYERHxcNNw17+PMfEvZOI8DlktHky
 UX7cclalQ7DgW+n1T8jzZgRgPNemppbsjifeEvd6QarOH65UxvsRycYe7x5wgOIWGd6DjStABApgW
 VjNzgBf3aGtpoa3jwaPbMw==;
Received: from [87.69.77.57] (port=2547 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mgn6i-0004ui-8X; Sat, 30 Oct 2021 08:05:16 -0400
Date: Sat, 30 Oct 2021 15:04:56 +0300
Message-Id: <837ddupvkn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: andrei.elkin@HIDDEN
In-Reply-To: <87ee824vpb.fsf@quad> (andrei.elkin@HIDDEN)
Subject: Re: bug#48252: Crashes continue ...
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
 <83v91hrvql.fsf@HIDDEN> <87bl37amy4.fsf@quad>
 <83bl37rfjl.fsf@HIDDEN> <87cznn7npv.fsf@quad>
 <83sfwjpr0q.fsf@HIDDEN> <87ee824vpb.fsf@quad>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: andrei.elkin@HIDDEN
> Cc: 48252 <at> debbugs.gnu.org
> Date: Sat, 30 Oct 2021 14:07:44 +0300
> 
> Thanks, Eli for looking at it again!
> 
> I'll try to reproduce it, I feel I know how to :-), just not sure about
>  -Q. Most probably my init file matters critically.

That's okay: just make sure your recipe includes loading of minimum
number of packages and the minimal customizations required for
reproducing the problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 30 Oct 2021 11:11:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 07:11:09 2021
Received: from localhost ([127.0.0.1]:56778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgmGT-0003Ub-EF
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 07:11:09 -0400
Received: from mta-out1.inet.fi ([62.71.2.202]:35882 helo=johanna3.inet.fi)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrei.elkin@HIDDEN>) id 1mgmGP-0003Tk-Gv
 for 48252 <at> debbugs.gnu.org; Sat, 30 Oct 2021 07:11:08 -0400
X-RazorGate-Vade-Verdict: clean 0
X-RazorGate-Vade-Classification: clean
X-RazorGate-Vade: gggruggvucftvghtrhhoucdtuddrgedvtddrvdegjedgfeejucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuuffpveftnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpegrnhgurhgvihdrvghlkhhinhesphhprdhinhgvthdrfhhinecuggftrfgrthhtvghrnhepfeeuieetveefjeelfeejfeffgedtvdehvdegleeugeffffejjeeiueekheeukedunecukfhppedujeeirdejvddrledrvdegheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhephhgvlhhopehquhgrugdpihhnvghtpedujeeirdejvddrledrvdeghedpmhgrihhlfhhrohhmpeeovghlkhhirghnqdefsehmsghogidrihhnvghtrdhfiheqpdhrtghpthhtohepoeegkedvhedvseguvggssghughhsrdhgnhhurdhorhhgqedprhgtphhtthhopeeovghlihiisehgnhhurdhorhhgqe
Received: from quad (176.72.9.245) by johanna3.inet.fi (9.0.019.26-1)
 id 617912F6004F274B; Sat, 30 Oct 2021 14:10:58 +0300
From: andrei.elkin@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48252: Crashes continue ...
Organization: Home sweet home
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
 <83v91hrvql.fsf@HIDDEN> <87bl37amy4.fsf@quad>
 <83bl37rfjl.fsf@HIDDEN> <87cznn7npv.fsf@quad>
 <83sfwjpr0q.fsf@HIDDEN>
Date: Sat, 30 Oct 2021 14:07:44 +0300
In-Reply-To: <83sfwjpr0q.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 29 Oct
 2021 22:31:01 +0300")
Message-ID: <87ee824vpb.fsf@quad>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Thanks, Eli for looking at it again!

I'll try to reproduce it, I feel I know how to :-), just not sure about
 -Q. Most probably my init file matters critically.

Cheers.

Andrei

>
> I've re-read the discussion till now, and I'm afraid this crash
> provides no new information that can allow us to make progress.  Once
> again, Emacs tries to signal an error, and the error data includes
> some invalid object.
>
> As I said earlier, the only way forward is to come up with a
> reproducible recipe starting from "emacs -Q", so that I or someone
> else could debug it locally.
>
> Or maybe you could figure out which Lisp code is running when this
> happens, and show the problematic Lisp.
>
> Sorry I couldn't be of more help.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 29 Oct 2021 19:31:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 29 15:31:36 2021
Received: from localhost ([127.0.0.1]:55993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgXbD-0000OZ-RQ
	for submit <at> debbugs.gnu.org; Fri, 29 Oct 2021 15:31:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mgXbC-0000OK-9A
 for 48252 <at> debbugs.gnu.org; Fri, 29 Oct 2021 15:31:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51660)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mgXb5-00014z-6X; Fri, 29 Oct 2021 15:31:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=8WLzz6mIMSzFD6AJVZL1pzLBpN9FE0UzZTVd/bCX9KM=; b=b6j6nIFoPZp+
 3fxQC22KZl6Bsc23/K7/jTO69RMZHBFSvKYEWcReyyj/eVDe3VtZ8dirwUMDEIALVEfz/r8WW1e1l
 wwoWwnTNLNgFKqjiMouOg66ikUwHYX8f+7mcS+s/nZXgl6nK/daGsnbT9x1lTY6HS5n3Opg4WlajD
 upmGKx8S+YVCLWRvrTt8IU++nYqeLDzwbc6gDKh2H0akbC5+aV35gXm3iCV1VFt2pgGR9tMSUy9P8
 a0ndvpwLYgEyzuTcEz7a/l6nKdq5O2b4hiyrIg0b1lxFQ1tXZFJZed+mczn0MDZRkRHwYyCD852WQ
 /MaHg8kO9Bbdhw4MGeNQ4g==;
Received: from [87.69.77.57] (port=1037 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mgXat-0007lr-H4; Fri, 29 Oct 2021 15:31:25 -0400
Date: Fri, 29 Oct 2021 22:31:01 +0300
Message-Id: <83sfwjpr0q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: andrei.elkin@HIDDEN
In-Reply-To: <87cznn7npv.fsf@quad> (andrei.elkin@HIDDEN)
Subject: Re: bug#48252: Crashes continue ...
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
 <83v91hrvql.fsf@HIDDEN> <87bl37amy4.fsf@quad>
 <83bl37rfjl.fsf@HIDDEN> <87cznn7npv.fsf@quad>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[Please use Reply All to reply, to keep the bug address CC'ed.]

> From: andrei.elkin@HIDDEN
> Date: Fri, 29 Oct 2021 20:19:40 +0300
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> From: andrei.elkin@HIDDEN
> >> Cc: 48252 <at> debbugs.gnu.org
> >> Date: Fri, 29 Oct 2021 18:08:03 +0300
> >> 
> >> Eli Zaretskii <eliz@HIDDEN> writes:
> >> 
> >> >> From: andrei.elkin@HIDDEN
> >> >> Date: Thu, 28 Oct 2021 16:38:00 +0300
> >> >> 
> >> >> ...and what maybe is better that the most recent stack, below, is much shorter.
> >> >> And I am leaving it alive in case there will be interest or just further
> >> >> instruction for me.
> >> >
> >> > Please invoke xbacktrace and post the results.  (If GDB says it
> >> > doesn't know that command, say "source /path/to/emacs/src/.gdbinit"
> >> > first.)
> >> 
> >> (gdb) xbacktrace 
> >> "command-error-default-function" (0xffffd448)
> >> "apply" (0xffffd618)
> >> 0xea3950a0 PVEC_COMPILED
> >
> > Is that all?  It should be a lot longer.
> 
> That's all though bt still produces the same stack.

I've re-read the discussion till now, and I'm afraid this crash
provides no new information that can allow us to make progress.  Once
again, Emacs tries to signal an error, and the error data includes
some invalid object.

As I said earlier, the only way forward is to come up with a
reproducible recipe starting from "emacs -Q", so that I or someone
else could debug it locally.

Or maybe you could figure out which Lisp code is running when this
happens, and show the problematic Lisp.

Sorry I couldn't be of more help.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 29 Oct 2021 19:25:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 29 15:25:50 2021
Received: from localhost ([127.0.0.1]:55971 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgXVd-0000BS-Oh
	for submit <at> debbugs.gnu.org; Fri, 29 Oct 2021 15:25:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mgXVb-0000BA-5x
 for 48252 <at> debbugs.gnu.org; Fri, 29 Oct 2021 15:25:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51314)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mgXVS-0008QM-Ea; Fri, 29 Oct 2021 15:25:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=fArgvcUmcnIHepvgNQHl8ZxWwiBy9hd6FXyUFwyd9S4=; b=b00m7570jdBB
 Wd/nJuufAx8HxWlAcp0j8gvuDFJ4Y8d6KOsskVgkDRmPCwjG8+JqMf/aBagmeCTiCcJbZo6AlGhU1
 k2CQPOuw2X4NqbdMErEOH+B/xujDZbZnXBqMtnTNJCeaX2KHcimfpJsrd4QUTTIyUmYgiIcDadwS6
 5XP/6dwz2N3cXKGT1bbIRAVmTL7/jlhXY0VPUjWrV0P6u5oqtaU5K8NAHlb9W9MKp4kIbJEXtANkL
 SgffcXt0t1FG+lVNR7xpdZlC2razHoB8dInxPPIMSButagl7P9t6qEzzrcYYEss8WNCts9FI1/DLm
 fd3Mr05FksH06NiP3Fw5iQ==;
Received: from [87.69.77.57] (port=4652 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mgXVF-0007th-Hp; Fri, 29 Oct 2021 15:25:30 -0400
Date: Fri, 29 Oct 2021 22:25:10 +0300
Message-Id: <83tugzprah.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: andrei.elkin@HIDDEN
In-Reply-To: <87cznn7npv.fsf@quad> (andrei.elkin@HIDDEN)
Subject: Re: bug#48252: Crashes continue ...
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
 <83v91hrvql.fsf@HIDDEN> <87bl37amy4.fsf@quad>
 <83bl37rfjl.fsf@HIDDEN> <87cznn7npv.fsf@quad>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[Please use Reply All to reply, to keep the bug address CC'ed.]

> From: andrei.elkin@HIDDEN
> Date: Fri, 29 Oct 2021 20:19:40 +0300
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> From: andrei.elkin@HIDDEN
> >> Cc: 48252 <at> debbugs.gnu.org
> >> Date: Fri, 29 Oct 2021 18:08:03 +0300
> >> 
> >> Eli Zaretskii <eliz@HIDDEN> writes:
> >> 
> >> >> From: andrei.elkin@HIDDEN
> >> >> Date: Thu, 28 Oct 2021 16:38:00 +0300
> >> >> 
> >> >> ...and what maybe is better that the most recent stack, below, is much shorter.
> >> >> And I am leaving it alive in case there will be interest or just further
> >> >> instruction for me.
> >> >
> >> > Please invoke xbacktrace and post the results.  (If GDB says it
> >> > doesn't know that command, say "source /path/to/emacs/src/.gdbinit"
> >> > first.)
> >> 
> >> (gdb) xbacktrace 
> >> "command-error-default-function" (0xffffd448)
> >> "apply" (0xffffd618)
> >> 0xea3950a0 PVEC_COMPILED
> >
> > Is that all?  It should be a lot longer.
> 
> That's all though bt still produces the same stack.

Then you will have to do it manually.  For each stack frame N that
shows a call to Ffuncall, like this:

  #7  0x00005555557be66d in Ffuncall (nargs=4, args=0x7fffffffd440) at eval.c:3068

please do:

  (gdb) frame N
  (gdb) print args[0]
  (gdb) xtype

The last command will usually say "Lisp_Symbol", in which case follow
it with

  (gdb) xsymbol

Also, try this:

  (gdb) frame 17
  (gdb) p data
  (gdb) xtype

The last command will probably say "Lisp_Cons", in which case please
show its cells using the xcar and xcdr commands.

In general, what I see is that some command signaled an error, and the
error data includes some invalid Lisp object.  The challenge is to
find that command and understand what kind of invalid object it
generates.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 29 Oct 2021 15:56:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 29 11:56:23 2021
Received: from localhost ([127.0.0.1]:55671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgUEw-0008Cf-Oh
	for submit <at> debbugs.gnu.org; Fri, 29 Oct 2021 11:56:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mgUEt-0008CI-EW
 for 48252 <at> debbugs.gnu.org; Fri, 29 Oct 2021 11:56:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40902)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mgUEn-0002RP-0k; Fri, 29 Oct 2021 11:56:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Ib5kjRR9vmJj5PMxTdTt9k4dzPGzfvgCDTL4cNZJlA8=; b=BrCqVL3WVB4B
 W8JPq+quQ6koRJyGcniW2s/Mi4oVFS4zHJWy+iu4+cRn6WzdrXc4wWw9vy6VgOrS96FNuXKTRYxe3
 k7X4NHcGnb1ZOhLzV5E3EF1WCXkNV0DAB0SPZQWgtQRGGs8rnO7QpKC7N/VfTzFbmWazyHzV/K0bo
 zNDOb4a/3GgdJGiA8SYKRuUZk7cERhWSblUMqwjjp43p8b0w0ak7WW0H6qyFCgOH7sQ9AuvpONYxg
 7BELXpUxcQaFH7GcZeM+0lwk2mXUB4Wq1hte2S/+WDZCzBPlNRnxIHPYRarGvAwsYOO+w+KkpCxHR
 kLv7UdTt7a6sAPdF+t5Gpw==;
Received: from [87.69.77.57] (port=3809 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mgUEm-000316-16; Fri, 29 Oct 2021 11:56:12 -0400
Date: Fri, 29 Oct 2021 18:55:58 +0300
Message-Id: <83bl37rfjl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: andrei.elkin@HIDDEN
In-Reply-To: <87bl37amy4.fsf@quad> (andrei.elkin@HIDDEN)
Subject: Re: bug#48252: Crashes continue ...
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
 <83v91hrvql.fsf@HIDDEN> <87bl37amy4.fsf@quad>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: andrei.elkin@HIDDEN
> Cc: 48252 <at> debbugs.gnu.org
> Date: Fri, 29 Oct 2021 18:08:03 +0300
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> From: andrei.elkin@HIDDEN
> >> Date: Thu, 28 Oct 2021 16:38:00 +0300
> >> 
> >> ...and what maybe is better that the most recent stack, below, is much shorter.
> >> And I am leaving it alive in case there will be interest or just further
> >> instruction for me.
> >
> > Please invoke xbacktrace and post the results.  (If GDB says it
> > doesn't know that command, say "source /path/to/emacs/src/.gdbinit"
> > first.)
> 
> (gdb) xbacktrace 
> "command-error-default-function" (0xffffd448)
> "apply" (0xffffd618)
> 0xea3950a0 PVEC_COMPILED

Is that all?  It should be a lot longer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 29 Oct 2021 15:11:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 29 11:11:25 2021
Received: from localhost ([127.0.0.1]:55626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgTXR-0004hF-7o
	for submit <at> debbugs.gnu.org; Fri, 29 Oct 2021 11:11:25 -0400
Received: from mta-out1.inet.fi ([62.71.2.202]:35330 helo=johanna3.inet.fi)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrei.elkin@HIDDEN>) id 1mgTXQ-0004h0-1w
 for 48252 <at> debbugs.gnu.org; Fri, 29 Oct 2021 11:11:24 -0400
X-RazorGate-Vade-Verdict: clean 0
X-RazorGate-Vade-Classification: clean
X-RazorGate-Vade: gggruggvucftvghtrhhoucdtuddrgedvtddrvdeghedgkedvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuuffpveftnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpegrnhgurhgvihdrvghlkhhinhesphhprdhinhgvthdrfhhinecuggftrfgrthhtvghrnhepfeeuieetveefjeelfeejfeffgedtvdehvdegleeugeffffejjeeiueekheeukedunecukfhppedujeeirdejvddrledrvdegheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhephhgvlhhopehquhgrugdpihhnvghtpedujeeirdejvddrledrvdeghedpmhgrihhlfhhrohhmpeeovghlkhhirghnqdefsehmsghogidrihhnvghtrdhfiheqpdhrtghpthhtohepoeegkedvhedvseguvggssghughhsrdhgnhhurdhorhhgqedprhgtphhtthhopeeovghlihiisehgnhhurdhorhhgqe
Received: from quad (176.72.9.245) by johanna3.inet.fi (9.0.019.26-1)
 id 617912F6003DBB41; Fri, 29 Oct 2021 18:11:17 +0300
From: andrei.elkin@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48252: Crashes continue ...
Organization: Home sweet home
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
 <83v91hrvql.fsf@HIDDEN>
Date: Fri, 29 Oct 2021 18:08:03 +0300
In-Reply-To: <83v91hrvql.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 28 Oct
 2021 18:53:54 +0300")
Message-ID: <87bl37amy4.fsf@quad>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: andrei.elkin@HIDDEN
>> Date: Thu, 28 Oct 2021 16:38:00 +0300
>> 
>> ...and what maybe is better that the most recent stack, below, is much shorter.
>> And I am leaving it alive in case there will be interest or just further
>> instruction for me.
>
> Please invoke xbacktrace and post the results.  (If GDB says it
> doesn't know that command, say "source /path/to/emacs/src/.gdbinit"
> first.)

(gdb) xbacktrace 
"command-error-default-function" (0xffffd448)
"apply" (0xffffd618)
0xea3950a0 PVEC_COMPILED

PS. I am not sure about significance of the warning I got:

(gdb) source ./src/.gdbinit 
Warning: /media/local_17/src/emacs/git/emacs/../lwlib: No such file or directory.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 28 Oct 2021 15:54:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 28 11:54:02 2021
Received: from localhost ([127.0.0.1]:52962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mg7j7-0004r0-NN
	for submit <at> debbugs.gnu.org; Thu, 28 Oct 2021 11:54:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mg7j5-0004qk-EY
 for 48252 <at> debbugs.gnu.org; Thu, 28 Oct 2021 11:54:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54510)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mg7iz-0003qY-0K; Thu, 28 Oct 2021 11:53:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=qCIIwl8X2PVQ8Ih/BMNow9bNBK7edjfZoAW8+j9NFfs=; b=GR+gk0UxVg8G
 /JRYeKyP3T1T/D1Fe6sxLqkakQmK0GMEKt8w95QKkVuaveIdwNRWFGVAVcpcac4AgjSBdaKRq+7Dz
 BBqzRMzucnrRA4nShNHcFMOahojR9rh7Bkoz88u1BNPxcvP1e8A86Y2P7ddjTEpqZeuHV1QGZflbI
 f7k8JWxuLTm8hb+EW9vvjsFKK2gKFtZc4ZaS2zIL75REUP1b8vKRiPgiMEXfV/0MwQtlke+sYcIj6
 BvvlAJD8wuwM/GZcQdt/lAcay6PJwE8UUds8HFTqCgCFNZxY+J8jaTisncmX8kgsR1hnx89m0gV1J
 gOkOU4bMxdYXLNGBqxYyYw==;
Received: from [87.69.77.57] (port=2741 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mg7iy-0001id-Fl; Thu, 28 Oct 2021 11:53:52 -0400
Date: Thu, 28 Oct 2021 18:53:54 +0300
Message-Id: <83v91hrvql.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: andrei.elkin@HIDDEN
In-Reply-To: <87mtmtfex3.fsf@quad> (andrei.elkin@HIDDEN)
Subject: Re: bug#48252: Crashes continue ...
References: <83r1ikdxly.fsf@HIDDEN> <87mtmtfex3.fsf@quad>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48252
Cc: 48252 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: andrei.elkin@HIDDEN
> Date: Thu, 28 Oct 2021 16:38:00 +0300
> 
> ...and what maybe is better that the most recent stack, below, is much shorter.
> And I am leaving it alive in case there will be interest or just further
> instruction for me.

Please invoke xbacktrace and post the results.  (If GDB says it
doesn't know that command, say "source /path/to/emacs/src/.gdbinit"
first.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at 48252 <at> debbugs.gnu.org:


Received: (at 48252) by debbugs.gnu.org; 28 Oct 2021 13:41:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 28 09:41:32 2021
Received: from localhost ([127.0.0.1]:51591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mg5eu-00017r-G0
	for submit <at> debbugs.gnu.org; Thu, 28 Oct 2021 09:41:32 -0400
Received: from mta-out1.inet.fi ([62.71.2.226]:60882 helo=johanna4.inet.fi)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrei.elkin@HIDDEN>) id 1mg5es-00017Y-DM
 for 48252 <at> debbugs.gnu.org; Thu, 28 Oct 2021 09:41:31 -0400
X-RazorGate-Vade-Verdict: clean 0
X-RazorGate-Vade-Classification: clean
X-RazorGate-Vade: gggruggvucftvghtrhhoucdtuddrgedvtddrvdegtddgtdejucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuuffpveftnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhofffkfgggtgesthdtredttdertdenucfhrhhomheprghnughrvghirdgvlhhkihhnsehpphdrihhnvghtrdhfihenucggtffrrghtthgvrhhnpeevgeeuleeitdekgeehfeeitedtfeejkedtfeegvefgkeeuteeuvdefvdeiteehkeenucfkphepudejiedrjedvrdelrddvgeehnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehhvghlohepqhhurggupdhinhgvthepudejiedrjedvrdelrddvgeehpdhmrghilhhfrhhomhepoegvlhhkihgrnhdqfeesmhgsohigrdhinhgvthdrfhhiqedprhgtphhtthhopeeogeekvdehvdesuggvsggsuhhgshdrghhnuhdrohhrgheq
Received: from quad (176.72.9.245) by johanna4.inet.fi (9.0.019.26-1)
 id 6179136A002103A3 for 48252 <at> debbugs.gnu.org; Thu, 28 Oct 2021 16:41:23 +0300
From: andrei.elkin@HIDDEN
To: 48252 <at> debbugs.gnu.org
Subject: Crashes continue ...
Organization: Home sweet home
Date: Thu, 28 Oct 2021 16:38:00 +0300
Message-ID: <87mtmtfex3.fsf@quad>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48252
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Salve!

...and what maybe is better that the most recent stack, below, is much shorter.
And I am leaving it alive in case there will be interest or just further
instruction for me.

Thanks for any feedback!


Cheers,

Andrei

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00005555557e5e10 in SYMBOL_NAME (sym=0x55555d656cb0) at lisp.h:2223
2223	  return XSYMBOL (sym)->u.s.name;
(gdb) bt
#0  0x00005555557e5e10 in SYMBOL_NAME (sym=0x55555d656cb0) at lisp.h:2223
#1  0x00005555557ee8f6 in print_object (obj=0x55555d656cb0, printcharfun=0x30, escapeflag=true) at print.c:2076
#2  0x00005555557ebaeb in print (obj=0x55555d656cb0, printcharfun=0x30, escapeflag=true) at print.c:1149
#3  0x00005555557e92de in Fprin1 (object=0x55555d656cb0, printcharfun=0x30) at print.c:651
#4  0x00005555557eb56b in print_error_message (data=0x55555c5ce293, stream=0x30, context=0x7fffea3e108d "", caller=0x7620) at print.c:981
#5  0x00005555556fbc43 in Fcommand_error_default_function (data=0x55555c5ce293, context=0x7fffe9cb0324, signal=0x7620) at keyboard.c:1070
#6  0x00005555557beb1b in funcall_subr (subr=0x555555e75880 <Scommand_error_default_function>, numargs=3, args=0x7fffffffd448) at eval.c:3148
#7  0x00005555557be66d in Ffuncall (nargs=4, args=0x7fffffffd440) at eval.c:3068
#8  0x00005555557bd8cd in Fapply (nargs=2, args=0x7fffffffd618) at eval.c:2698
#9  0x00005555557be9c9 in funcall_subr (subr=0x555555e7d800 <Sapply>, numargs=2, args=0x7fffffffd618) at eval.c:3123
#10 0x00005555557be66d in Ffuncall (nargs=3, args=0x7fffffffd610) at eval.c:3068
#11 0x000055555580ecd1 in exec_byte_code (bytestr=0x7fffe9ccc484, vector=0x7fffea3950d5, maxdepth=0x16, args_template=0x202, nargs=3, args=0x7fffffffdae8) at bytecode.c:632
#12 0x00005555557bed82 in fetch_and_exec_byte_code (fun=0x7fffea3950a5, syms_left=0x202, nargs=3, args=0x7fffffffdae8) at eval.c:3192
#13 0x00005555557bf132 in funcall_lambda (fun=0x7fffea3950a5, nargs=3, arg_vector=0x7fffffffdae8) at eval.c:3273
#14 0x00005555557be6c1 in Ffuncall (nargs=4, args=0x7fffffffdae0) at eval.c:3072
#15 0x00005555557bdfc5 in call3 (fn=0x7fffea3950a5, arg1=0x55555c5ce293, arg2=0x7fffe9cb0324, arg3=0x7620) at eval.c:2942
#16 0x00005555556fba46 in cmd_error_internal (data=0x55555c5ce293, context=0x7fffffffdb90 "") at keyboard.c:1013
#17 0x00005555556fb913 in cmd_error (data=0x55555c5ce293) at keyboard.c:981
#18 0x00005555557ba88a in internal_condition_case (bfun=0x5555556fc0dd <command_loop_1>, handlers=0x90, hfun=0x5555556fb6de <cmd_error>) at eval.c:1491
#19 0x00005555556fbda2 in command_loop_2 (handlers=0x90) at keyboard.c:1133
#20 0x00005555557b9f6b in internal_catch (tag=0xe9a0, func=0x5555556fbd7b <command_loop_2>, arg=0x90) at eval.c:1226
#21 0x00005555556fbd46 in command_loop () at keyboard.c:1111
#22 0x00005555556fb291 in recursive_edit_1 () at keyboard.c:720
#23 0x00005555556fb431 in Frecursive_edit () at keyboard.c:803
#24 0x00005555556f7c0a in main (argc=2, argv=0x7fffffffdf48) at emacs.c:2345




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 May 2021 15:04:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 06 11:04:06 2021
Received: from localhost ([127.0.0.1]:37957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lefXp-0001cj-4r
	for submit <at> debbugs.gnu.org; Thu, 06 May 2021 11:04:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:41708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrei.elkin@HIDDEN>) id 1lefXS-0001c6-KD
 for submit <at> debbugs.gnu.org; Thu, 06 May 2021 11:03:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33420)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andrei.elkin@HIDDEN>)
 id 1lefXQ-0003ze-PS
 for bug-gnu-emacs@HIDDEN; Thu, 06 May 2021 11:03:42 -0400
Received: from mta-out1.inet.fi ([62.71.2.194]:33812 helo=johanna4.inet.fi)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <andrei.elkin@HIDDEN>)
 id 1lefXE-0008Gw-2T; Thu, 06 May 2021 11:03:40 -0400
X-RazorGate-Vade-Verdict: clean 0
X-RazorGate-Vade-Classification: clean
X-RazorGate-Vade: gggruggvucftvghtrhhoucdtuddrgeduledrtddtgddutdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfupfevtfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgfgsehtqhertddtreejnecuhfhrohhmpegrnhgurhgvihdrvghlkhhinhesphhprdhinhgvthdrfhhinecuggftrfgrthhtvghrnhepveevgfekkeejvdehjeffhfekudeffeffjedtleekudefiefgvdffteefkeefheetnecukfhppeelfedruddtiedrjeekrddvfeeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehhvghlohepqhhurggupdhinhgvthepleefrddutdeirdejkedrvdefkedpmhgrihhlfhhrohhmpeeovghlkhhirghnqdefsehmsghogidrihhnvghtrdhfiheqpdhrtghpthhtohepoegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgqedprhgtphhtthhopeeovghlihiisehgnhhurdhorhhgqe
Received: from quad (93.106.78.238) by johanna4.inet.fi (9.0.019.26-1)
 id 600033A033E8EFCA; Thu, 6 May 2021 18:03:24 +0300
From: andrei.elkin@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: Re: 28.0.50; Emacs crashes while printing an error message
Organization: Home sweet home
References: <87pmyeekkq.fsf@quad> <837dkmhavj.fsf@HIDDEN>
 <87wnsma5aw.fsf@quad> <83im46fq68.fsf@HIDDEN> <87y2cupcb6.fsf@quad>
 <837dke49jq.fsf@HIDDEN> <87wnsdob3m.fsf@quad>
 <83o8dp2wba.fsf@HIDDEN> <871ralmhw2.fsf@quad>
 <83r1ikdxly.fsf@HIDDEN>
Date: Thu, 06 May 2021 18:01:43 +0300
In-Reply-To: <83r1ikdxly.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 06 May
 2021 12:23:37 +0300")
Message-ID: <874kffewiw.fsf@quad>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=62.71.2.194; envelope-from=andrei.elkin@HIDDEN;
 helo=johanna4.inet.fi
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 06 May 2021 11:04:03 -0400
Cc: Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello.

I got a stack similar to one of bug48766 and started discussing it with
Eli. Now I am reporting my case and presenting data I collected by Eli's
request.

I run emacs in gdb and it is used crash clearly when I have lsp-mode on.
The last crash with the stack

  >> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
  >> 0x00005555557e252c in SYMBOL_NAME (sym=3DXIL(0x555576f260a0)) at lisp.=
h:2208
  >> 2208	  return XSYMBOL (sym)->u.s.name;
  >> (gdb) bt
  >> #0  0x00005555557e252c in SYMBOL_NAME (sym=3DXIL(0x555576f260a0)) at l=
isp.h:2208
  >> #1 0x00005555557eafd0 in print_object (obj=3DXIL(0x555576f260a0),
  >> printcharfun=3DXIL(0x30), escapeflag=3Dtrue) at print.c:2072
  >> #2 0x00005555557e81c5 in print (obj=3DXIL(0x555576f260a0),
  >> printcharfun=3DXIL(0x30), escapeflag=3Dtrue) at print.c:1145
  >> #3 0x00005555557e59ed in Fprin1 (object=3DXIL(0x555576f260a0),
  >> printcharfun=3DXIL(0x30)) at print.c:651
  >> #4 0x00005555557e7c45 in print_error_message
  >> (data=3DXIL(0x5555707ca923), stream=3DXIL(0x30), context=3D0x7fffea402=
143
  >> "", caller=3DXIL(0x74d0)) at print.c:977
  >> #5 0x00005555556f9ba9 in Fcommand_error_default_function
  >> (data=3DXIL(0x5555707ca923), context=3DXIL(0x7fffe9d11524),
  >> signal=3DXIL(0x74d0)) at keyboard.c:1032
  >> #6 0x00005555557bb5a4 in funcall_subr (subr=3D0x555555e6c5a0
  >> <Scommand_error_default_function>, numargs=3D3, args=3D0x7fffffffb5d8)
  >> at eval.c:3116
  >> #7  0x00005555557bb0f6 in Ffuncall (nargs=3D4, args=3D0x7fffffffb5d0) =
at eval.c:3036
  >> #8  0x00005555557ba356 in Fapply (nargs=3D2, args=3D0x7fffffffb7a8) at=
 eval.c:2666
  >> #9 0x00005555557bb452 in funcall_subr (subr=3D0x555555e74420 <Sapply>,
  >> numargs=3D2, args=3D0x7fffffffb7a8) at eval.c:3091
  >> #10 0x00005555557bb0f6 in Ffuncall (nargs=3D3, args=3D0x7fffffffb7a0) =
at eval.c:3036
  >> #11 0x000055555580ac6d in exec_byte_code
  >> (bytestr=3DXIL(0x7fffe9d2d374), vector=3DXIL(0x7fffea3bf50d),
  >> maxdepth=3Dmake_fixnum(5), args_template=3Dmake_fixnum(128), nargs=3D3,
  >> args=3D0x7fffffffbc78) at bytecode.c:632
  >> #12 0x00005555557bb80b in fetch_and_exec_byte_code
  >> (fun=3DXIL(0x7fffea3bf4dd), syms_left=3Dmake_fixnum(128), nargs=3D3,
  >> args=3D0x7fffffffbc78) at eval.c:3160
  >> #13 0x00005555557bbbbb in funcall_lambda (fun=3DXIL(0x7fffea3bf4dd),
  >> nargs=3D3, arg_vector=3D0x7fffffffbc78) at eval.c:3241
  >> #14 0x00005555557bb14a in Ffuncall (nargs=3D4, args=3D0x7fffffffbc70) =
at eval.c:3040
  >> #15 0x00005555557baa4e in call3 (fn=3DXIL(0x7fffea3bf4dd),
  >> arg1=3DXIL(0x5555707ca923), arg2=3DXIL(0x7fffe9d11524),
  >> arg3=3DXIL(0x74d0)) at eval.c:2910
  >> #16 0x00005555556f9a33 in cmd_error_internal
  >> (data=3DXIL(0x5555707ca923), context=3D0x7fffffffbd10 "") at
  >> keyboard.c:987
  >> #17 0x00005555556f991e in cmd_error (data=3DXIL(0x5555707ca923)) at ke=
yboard.c:956
  >> #18 0x00005555557b73c0 in internal_condition_case
  >> (bfun=3D0x5555556fa049 <command_loop_1>, handlers=3DXIL(0x90),
  >> hfun=3D0x5555556f979a <cmd_error>) at eval.c:1471
  >> #19 0x00005555556f9d0e in command_loop_2 (ignore=3DXIL(0)) at keyboard=
.c:1094
  >> #20 0x00005555557b6a22 in internal_catch (tag=3DXIL(0x61e0),
  >> func=3D0x5555556f9ce1 <command_loop_2>, arg=3DXIL(0)) at eval.c:1198
  >> #21 0x00005555556f9c3c in command_loop () at keyboard.c:1065
  >> #22 0x00005555556f9369 in recursive_edit_1 () at keyboard.c:720
  >> #23 0x000055555574234d in read_minibuf (map=3DXIL(0x7fffe9d1620b),
  >> initial=3DXIL(0), prompt=3DXIL(0x55557cb10434), expflag=3Dfalse,
  >> histvar=3DXIL(0x2aaa93f69bb8), histpos=3Dmake_fixnum(0),
  >> defalt=3DXIL(0x55558dcc1244), allow_props=3Dfalse,
  >> inherit_input_method=3Dtrue) at minibuf.c:870
  >> #24 0x000055555574354f in Fread_from_minibuffer
  >> (prompt=3DXIL(0x55557cb10434), initial_contents=3DXIL(0),
  >> keymap=3DXIL(0x7fffe9d1620b), read=3DXIL(0), hist=3DXIL(0x2aaa93f69bb8=
),
  >> default_value=3DXIL(0x55558dcc1244), inherit_input_method=3DXIL(0x30))
  >> at minibuf.c:1318
  >> #25 0x00005555557bb6d7 in funcall_subr (subr=3D0x555555e6e7a0
  >> <Sread_from_minibuffer>, numargs=3D7, args=3D0x7fffffffc1e0) at
  >> eval.c:3131
  >> #26 0x00005555557bb0f6 in Ffuncall (nargs=3D8, args=3D0x7fffffffc1d8) =
at eval.c:3036
  >> #27 0x000055555580ac6d in exec_byte_code
  >> (bytestr=3DXIL(0x7fffe9e9b0a4), vector=3DXIL(0x7fffe9e98505),
  >> maxdepth=3Dmake_fixnum(12), args_template=3Dmake_fixnum(771), nargs=3D=
3,
  >> args=3D0x7fffffffc720) at bytecode.c:632
  >> #28 0x00005555557bb80b in fetch_and_exec_byte_code
  >> (fun=3DXIL(0x7fffe9e984d5), syms_left=3Dmake_fixnum(771), nargs=3D3,
  >> args=3D0x7fffffffc708) at eval.c:3160
  >> #29 0x00005555557bbbbb in funcall_lambda (fun=3DXIL(0x7fffe9e984d5),
  >> nargs=3D3, arg_vector=3D0x7fffffffc708) at eval.c:3241
  >> #30 0x00005555557bb14a in Ffuncall (nargs=3D4, args=3D0x7fffffffc700) =
at eval.c:3040
  >> #31 0x000055555580ac6d in exec_byte_code
  >> (bytestr=3DXIL(0x7fffe9ea198c), vector=3DXIL(0x7fffe9e9f9ed),
  >> maxdepth=3Dmake_fixnum(12), args_template=3Dmake_fixnum(770), nargs=3D=
2,
  >> args=3D0x7fffffffcc30) at bytecode.c:632
  >> #32 0x00005555557bb80b in fetch_and_exec_byte_code
  >> (fun=3DXIL(0x7fffe9e9f9bd), syms_left=3Dmake_fixnum(770), nargs=3D2,
  >> args=3D0x7fffffffcc20) at eval.c:3160
  >> #33 0x00005555557bbbbb in funcall_lambda (fun=3DXIL(0x7fffe9e9f9bd),
  >> nargs=3D2, arg_vector=3D0x7fffffffcc20) at eval.c:3241
  >> #34 0x00005555557bb14a in Ffuncall (nargs=3D3, args=3D0x7fffffffcc18) =
at eval.c:3040
  >> #35 0x000055555580ac6d in exec_byte_code
  >> (bytestr=3DXIL(0x7fffe9ea19cc), vector=3DXIL(0x7fffe9e9f8ed),
  >> maxdepth=3Dmake_fixnum(8), args_template=3DXIL(0), nargs=3D0, args=3D0=
x0) at
  >> bytecode.c:632
  >> #36 0x0000555555809fbc in Fbyte_code (bytestr=3DXIL(0x7fffe9ea19cc),
  >> vector=3DXIL(0x7fffe9e9f8ed), maxdepth=3Dmake_fixnum(8)) at
  >> bytecode.c:334
  >> #37 0x00005555557b9ab5 in eval_sub (form=3DXIL(0x7fffe9e9f8bb)) at eva=
l.c:2517
  >> #38 0x00005555557b9062 in Feval (form=3DXIL(0x7fffe9e9f8bb), lexical=
=3DXIL(0)) at eval.c:2340
  >> #39 0x00005555557b19c3 in Fcall_interactively
  >> (function=3DXIL(0x2aaa93fb8c70), record_flag=3DXIL(0),
  >> keys=3DXIL(0x55557d470145)) at callint.c:334
  >> #40 0x00005555557bb5a4 in funcall_subr (subr=3D0x555555e73c60
  >> <Scall_interactively>, numargs=3D3, args=3D0x7fffffffd500) at
  >> eval.c:3116
  >> #41 0x00005555557bb0f6 in Ffuncall (nargs=3D4, args=3D0x7fffffffd4f8) =
at eval.c:3036
  >> #42 0x000055555580ac6d in exec_byte_code
  >> (bytestr=3DXIL(0x7fffe9de36a4), vector=3DXIL(0x7fffe9de330d),
  >> maxdepth=3Dmake_fixnum(13), args_template=3Dmake_fixnum(1025), nargs=
=3D1,
  >> args=3D0x7fffffffda60) at bytecode.c:632
  >> #43 0x00005555557bb80b in fetch_and_exec_byte_code
  >> (fun=3DXIL(0x7fffe9de32dd), syms_left=3Dmake_fixnum(1025), nargs=3D1,
  >> args=3D0x7fffffffda58) at eval.c:3160
  >> #44 0x00005555557bbbbb in funcall_lambda (fun=3DXIL(0x7fffe9de32dd),
  >> nargs=3D1, arg_vector=3D0x7fffffffda58) at eval.c:3241
  >> #45 0x00005555557bb14a in Ffuncall (nargs=3D2, args=3D0x7fffffffda50) =
at eval.c:3040
  >> #46 0x00005555557ba97e in call1 (fn=3DXIL(0x4560), arg1=3DXIL(0x2aaa93=
fb8c70)) at eval.c:2896
  >> #47 0x00005555556fa897 in command_loop_1 () at keyboard.c:1466
  >> #48 0x00005555557b73c8 in internal_condition_case
  >> (bfun=3D0x5555556fa049 <command_loop_1>, handlers=3DXIL(0x90),
  >> hfun=3D0x5555556f979a <cmd_error>) at eval.c:1475
  >> #49 0x00005555556f9d0e in command_loop_2 (ignore=3DXIL(0)) at keyboard=
.c:1094
  >> #50 0x00005555557b6a22 in internal_catch (tag=3DXIL(0xe4c0),
  >> func=3D0x5555556f9ce1 <command_loop_2>, arg=3DXIL(0)) at eval.c:1198
  >> #51 0x00005555556f9cac in command_loop () at keyboard.c:1073
  >> #52 0x00005555556f9369 in recursive_edit_1 () at keyboard.c:720
  >> #53 0x00005555556f94ed in Frecursive_edit () at keyboard.c:789
  >> #54 0x00005555556f5ce2 in main (argc=3D2, argv=3D0x7fffffffdf48) at em=
acs.c:2297

I received at time I commanded query-replace in the command line.

Then I run few gdb commands by Eli's request to collect the following:




Eli Zaretskii <eliz@HIDDEN> writes:

>> From: andrei.elkin@HIDDEN
>> Date: Wed, 05 May 2021 16:26:05 +0300
>>=20
>> If I grasped the idea right (I had to `p "$xcdr-result"` at two point be=
low)
>> `data` looks to be a list of three:
>>=20
>>=20
>> (gdb) p data
>> $46 =3D XIL(0x5555707ca923)
>> (gdb) xcar
>> $47 =3D 0xfd50
>> (gdb) xtype
>> Lisp_Symbol
>> (gdb) xsymbol
>> $48 =3D (struct Lisp_Symbol *) 0x555555ef6810 <lispsym+64848>
>> "wrong-type-argument"
>>=20
>> (gdb) p data
>> $50 =3D XIL(0x5555707ca923)
>> (gdb) xcdr
>> $51 =3D 0x5555707ca953
>> (gdb) xtype
>> Lisp_Cons
>>=20
>>=20
>> (gdb) xcar
>> $52 =3D 0x9990
>> (gdb) xtype
>> Lisp_Symbol
>> (gdb) xsymbol
>> $53 =3D (struct Lisp_Symbol *) 0x555555ef0450 <lispsym+39312>
>> "listp"
>> (gdb) p $51
>> $54 =3D XIL(0x5555707ca953)
>> (gdb) xcdr
>> $55 =3D 0x5555707ca983
>> (gdb) xtype
>> Lisp_Cons
>>=20
>>=20
>> (gdb) xcar
>> $56 =3D 0x555576f260a0
>> (gdb) xtype
>> Lisp_Symbol
>> (gdb) xsymbol
>> $57 =3D (struct Lisp_Symbol *) 0xaaaacce0cb60
>> Cannot access memory at address 0xaaaacce0cb68
>> (gdb) p $55
>> $58 =3D XIL(0x5555707ca983)
>> (gdb) xcdr
>> $59 =3D 0x0


At this point Eli came up with next set of instructions:

>
> Thanks.  Unfortunately, this is not helpful enough.  All it says is
> that Emacs tried to display an error message about some object not
> being a list, where the offending object is actually an invalid Lisp
> object.  And the Lisp backtrace strangely omits several call frames
> that I'd expect to see, based on the C backtrace, which also doesn't
> help.
>
> Can you please go to the C call-stack frames displayed by GDB, and
> manually show the Lisp functions called there?  Given the backtrace I
> reproduce below, I'd be interested in frames 15, 10, and 7, with the
> following commands:
>
>  (gdb) fr 15
#15 0x00005555557baa4e in call3 (fn=3DXIL(0x7fffea3bf4dd), arg1=3DXIL(0x555=
5707ca923), arg2=3DXIL(0x7fffe9d11524), arg3=3DXIL(0x74d0)) at eval.c:2910
2910	  return CALLN (Ffuncall, fn, arg1, arg2, arg3);
>  (gdb) pp fn
#[128 "=EF=BF=BD=EF=BF=BD\"=EF=BF=BD=EF=BF=BD\"=EF=BF=BD=EF=BF=BD" [apply h=
elp-command-error-confusable-suggestions command-error-default-function nil=
] 5 nil]
>  (gdb) pp arg2
""
>  (gdb) pp arg3

funcall-interactively

>  (gdb) fr 10
>  (gdb) p nargs
>  (gdb) p args[0]
>  (gdb) xtype
>  (gdb) xSOMETHING
>  (gdb) p args[1]
>  (gdb) xtype
>  (gdb) xSOMETHING
>  (gdb) p args[2]
>  (gdb) xtype
>  (gdb) xSOMETHING

For the frame 10 this produced for me a list form of

(;; $65
 (;; $66
  (;; $70
   "$72"
   (;; $74
    "Cannot access memory at address 0xaaaacce0cb68" . nil)
   (;; $80
    "$82" . nil))
  (;; $87
   "$89"
   (;; $91
    "$93" . nil)))
 (;; $97
  "$99" ($101 "$103" . nil)))

where `;; $nn` identifies conses, and "$93" - atoms, the log is below:

(gdb) fr 10
#10 0x00005555557bb0f6 in Ffuncall (nargs=3D3, args=3D0x7fffffffb7a0) at ev=
al.c:3036
3036	    val =3D funcall_subr (XSUBR (fun), numargs, args + 1);
(gdb) p nargs=20
$60 =3D 3
(gdb) p args[0]
$61 =3D XIL(0x2d60)
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol
$62 =3D (struct Lisp_Symbol *) 0x555555ee9820 <lispsym+11616>
"apply"
(gdb) p args[1]
$63 =3D XIL(0x2aaa943e6968)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$64 =3D (struct Lisp_Symbol *) 0x7fffea2cd428
"command-error-default-function"
(gdb) p args[2]
$65 =3D XIL(0x5555707ca8f3)
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$66 =3D 0x5555707ca923
(gdb) xtyp
Lisp_Cons
(gdb) xcar=20
$67 =3D 0xfd50
(gdb) xtyp
Lisp_Symbol
(gdb) xsymbol=20
$68 =3D (struct Lisp_Symbol *) 0x555555ef6810 <lispsym+64848>
"wrong-type-argument"
(gdb) p $66
$69 =3D XIL(0x5555707ca923)
(gdb) xcdr=20
$70 =3D 0x5555707ca953
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$71 =3D 0x9990
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$72 =3D (struct Lisp_Symbol *) 0x555555ef0450 <lispsym+39312>
"listp"
(gdb) p $70
$73 =3D XIL(0x5555707ca953)
(gdb) xcdr=20
$74 =3D 0x5555707ca983
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$75 =3D 0x555576f260a0
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$76 =3D (struct Lisp_Symbol *) 0xaaaacce0cb60
Cannot access memory at address 0xaaaacce0cb68
(gdb) p $74
$77 =3D XIL(0x5555707ca983)
(gdb) xcdr=20
$78 =3D 0x0
(gdb) p $70
$79 =3D XIL(0x5555707ca953)
(gdb) xcdr=20
$80 =3D 0x5555707ca983
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$81 =3D 0x555576f260a0
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$82 =3D (struct Lisp_Symbol *) 0xaaaacce0cb60
Cannot access memory at address 0xaaaacce0cb68
(gdb) p $79
$83 =3D XIL(0x5555707ca953)
(gdb) p $80
$84 =3D XIL(0x5555707ca983)
(gdb) xcdr=20
$85 =3D 0x0
(gdb) p $66
$86 =3D XIL(0x5555707ca923)
(gdb) xtype=20
Lisp_Cons
(gdb) xcdr=20
$87 =3D 0x5555707ca953
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$88 =3D 0x9990
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$89 =3D (struct Lisp_Symbol *) 0x555555ef0450 <lispsym+39312>
"listp"
(gdb) p $87
$90 =3D XIL(0x5555707ca953)
(gdb) xcdr=20
$91 =3D 0x5555707ca983
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$92 =3D 0x555576f260a0
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$93 =3D (struct Lisp_Symbol *) 0xaaaacce0cb60
Cannot access memory at address 0xaaaacce0cb68
(gdb) p $91
$94 =3D XIL(0x5555707ca983)
(gdb) xcdr=20
$95 =3D 0x0
(gdb) p $65
$96 =3D XIL(0x5555707ca8f3)
(gdb) xcdr=20
$97 =3D 0x5555707ca903
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$98 =3D 0x7fffe9d11524
(gdb) xtype=20
Lisp_String
(gdb) xstring
$99 =3D (struct Lisp_String *) 0x7fffe9d11520
""
(gdb) p $97
$100 =3D XIL(0x5555707ca903)
(gdb) xcdr=20
$101 =3D 0x5555707ca913
(gdb) xtype
Lisp_Cons
(gdb) xcar=20
$102 =3D 0x74d0
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$103 =3D (struct Lisp_Symbol *) 0x555555eedf90 <lispsym+29904>
"funcall-interactively"
(gdb) p $101
$104 =3D XIL(0x5555707ca913)
(gdb) xcdr=20
$105 =3D 0x0


>  (gdb) fr 7
>  (gdb) p args[0]
>  (gdb) xtype
>  (gdb) xSOMETHING
>  (gdb) p args[1]
>  (gdb) xtype
>  (gdb) xSOMETHING
>  (gdb) p args[2]
>  (gdb) xtype
>  (gdb) xSOMETHING
>  (gdb) p args[3]
>  (gdb) xtype
>  (gdb) xSOMETHING

(gdb) fr 7
#7  0x00005555557bb0f6 in Ffuncall (nargs=3D4, args=3D0x7fffffffb5d0) at ev=
al.c:3036
3036	    val =3D funcall_subr (XSUBR (fun), numargs, args + 1);
(gdb) p args[0]
$106 =3D XIL(0x2aaa943e6968)
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$107 =3D (struct Lisp_Symbol *) 0x7fffea2cd428
"command-error-default-function"


And for the frame 7'th arg[1]

(;; $108
    "$110"
    (;; $112
        "$114"
        (;; $116
            "$118" . nil)))

here is the rest of the log:

(gdb) p args[1]
$108 =3D XIL(0x5555707ca923)
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$109 =3D 0xfd50
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$110 =3D (struct Lisp_Symbol *) 0x555555ef6810 <lispsym+64848>
"wrong-type-argument"
(gdb) p $108
$111 =3D XIL(0x5555707ca923)
(gdb) xcdr=20
$112 =3D 0x5555707ca953
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$113 =3D 0x9990
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$114 =3D (struct Lisp_Symbol *) 0x555555ef0450 <lispsym+39312>
"listp"
(gdb) p $112
$115 =3D XIL(0x5555707ca953)
(gdb) xcdr=20
$116 =3D 0x5555707ca983
(gdb) xtype=20
Lisp_Cons
(gdb) xcar=20
$117 =3D 0x555576f260a0
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$118 =3D (struct Lisp_Symbol *) 0xaaaacce0cb60
Cannot access memory at address 0xaaaacce0cb68
(gdb) p $116
$119 =3D XIL(0x5555707ca983)
(gdb) xcdr=20
$120 =3D 0x0
(gdb) p args[2]
$121 =3D XIL(0x7fffe9d11524)
(gdb) xtype=20
Lisp_String
(gdb) xstring=20
$122 =3D (struct Lisp_String *) 0x7fffe9d11520
""
(gdb) p args[3]
$123 =3D XIL(0x74d0)
(gdb) xtype=20
Lisp_Symbol
(gdb) xsymbol=20
$124 =3D (struct Lisp_Symbol *) 0x555555eedf90 <lispsym+29904>
"funcall-interactively"
(gdb) fr 15
#15 0x00005555557baa4e in call3 (fn=3DXIL(0x7fffea3bf4dd), arg1=3DXIL(0x555=
5707ca923), arg2=3DXIL(0x7fffe9d11524), arg3=3DXIL(0x74d0)) at eval.c:2910
2910	  return CALLN (Ffuncall, fn, arg1, arg2, arg3);
(gdb) pp fn
#[128 "=EF=BF=BD=EF=BF=BD\"=EF=BF=BD=EF=BF=BD\"=EF=BF=BD=EF=BF=BD" [apply h=
elp-command-error-confusable-suggestions command-error-default-function nil=
] 5 nil]
(gdb) pp arg2
""
(gdb) pp arg3
funcall-interactively

>
> where xSOMETHING means some "x" command according to what "xtype"
> says.

As a final remark in the report,
I somewhat suspect the whole thing relates to
  lsp-completion-enable-additional-text-edit
and I've turned it to nil in the currently running emacs session.
If I won't see crashes within few days, that would put a heavy blame
onto it :-).

The crashed emacs gdb session is around as well as myself all time if any i=
nterests from
the maintainers arise.

Thank you, dear colleagues!

/ndrei

>
>> >> Lisp Backtrace:
>> >> "command-error-default-function" (0xffffb5d8)
>> >> "apply" (0xffffb7a8)
>> >> 0xea3bf4d8 PVEC_COMPILED
>> >> "read-from-minibuffer" (0xffffc1e0)
>> >> "query-replace-read-to" (0xffffc708)
>> >> "query-replace-read-args" (0xffffcc20)
>> >> "byte-code" (0xffffd0d0)
>> >> "call-interactively" (0xffffd500)
>> >> "command-execute" (0xffffda58)
>> >
>> > According to this, the command which triggered the problem was
>> > something about query-replace, not related to subprocesses.  So this
>> > is a different bug, like I assumed.
>>=20
>> It was query-replace, I also remember that. There might be two
>> background activities at that moment: autosaving and lsp's
>>=20
>>  lsp-completion-enable-additional-text-edit related
>>=20
>> work (to fix my buffer's white spaces that I found out after restart [in
>> another gdb session]).
>
> Maybe the information I requested above will provide some hints.
>
> If even that doesn't help, I'm afraid the only way forward would be to
> provide a recipe for reproducing the problem, or maybe you could
> pinpoint the top-level function call that injects an invalid Lisp
> object.
>
> And it's no longer a good idea for us to continue discussing this in
> private, so I'm redirecting this to the bug tracker, and appending
> below the last backtrace you sent.
>
>> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
>> 0x00005555557e252c in SYMBOL_NAME (sym=3DXIL(0x555576f260a0)) at lisp.h:=
2208
>> 2208	  return XSYMBOL (sym)->u.s.name;
>> (gdb) bt
>> #0  0x00005555557e252c in SYMBOL_NAME (sym=3DXIL(0x555576f260a0)) at lis=
p.h:2208
>> #1 0x00005555557eafd0 in print_object (obj=3DXIL(0x555576f260a0),
>> printcharfun=3DXIL(0x30), escapeflag=3Dtrue) at print.c:2072
>> #2 0x00005555557e81c5 in print (obj=3DXIL(0x555576f260a0),
>> printcharfun=3DXIL(0x30), escapeflag=3Dtrue) at print.c:1145
>> #3 0x00005555557e59ed in Fprin1 (object=3DXIL(0x555576f260a0),
>> printcharfun=3DXIL(0x30)) at print.c:651
>> #4 0x00005555557e7c45 in print_error_message
>> (data=3DXIL(0x5555707ca923), stream=3DXIL(0x30), context=3D0x7fffea402143
>> "", caller=3DXIL(0x74d0)) at print.c:977
>> #5 0x00005555556f9ba9 in Fcommand_error_default_function
>> (data=3DXIL(0x5555707ca923), context=3DXIL(0x7fffe9d11524),
>> signal=3DXIL(0x74d0)) at keyboard.c:1032
>> #6 0x00005555557bb5a4 in funcall_subr (subr=3D0x555555e6c5a0
>> <Scommand_error_default_function>, numargs=3D3, args=3D0x7fffffffb5d8)
>> at eval.c:3116
>> #7  0x00005555557bb0f6 in Ffuncall (nargs=3D4, args=3D0x7fffffffb5d0) at=
 eval.c:3036
>> #8  0x00005555557ba356 in Fapply (nargs=3D2, args=3D0x7fffffffb7a8) at e=
val.c:2666
>> #9 0x00005555557bb452 in funcall_subr (subr=3D0x555555e74420 <Sapply>,
>> numargs=3D2, args=3D0x7fffffffb7a8) at eval.c:3091
>> #10 0x00005555557bb0f6 in Ffuncall (nargs=3D3, args=3D0x7fffffffb7a0) at=
 eval.c:3036
>> #11 0x000055555580ac6d in exec_byte_code
>> (bytestr=3DXIL(0x7fffe9d2d374), vector=3DXIL(0x7fffea3bf50d),
>> maxdepth=3Dmake_fixnum(5), args_template=3Dmake_fixnum(128), nargs=3D3,
>> args=3D0x7fffffffbc78) at bytecode.c:632
>> #12 0x00005555557bb80b in fetch_and_exec_byte_code
>> (fun=3DXIL(0x7fffea3bf4dd), syms_left=3Dmake_fixnum(128), nargs=3D3,
>> args=3D0x7fffffffbc78) at eval.c:3160
>> #13 0x00005555557bbbbb in funcall_lambda (fun=3DXIL(0x7fffea3bf4dd),
>> nargs=3D3, arg_vector=3D0x7fffffffbc78) at eval.c:3241
>> #14 0x00005555557bb14a in Ffuncall (nargs=3D4, args=3D0x7fffffffbc70) at=
 eval.c:3040
>> #15 0x00005555557baa4e in call3 (fn=3DXIL(0x7fffea3bf4dd),
>> arg1=3DXIL(0x5555707ca923), arg2=3DXIL(0x7fffe9d11524),
>> arg3=3DXIL(0x74d0)) at eval.c:2910
>> #16 0x00005555556f9a33 in cmd_error_internal
>> (data=3DXIL(0x5555707ca923), context=3D0x7fffffffbd10 "") at
>> keyboard.c:987
>> #17 0x00005555556f991e in cmd_error (data=3DXIL(0x5555707ca923)) at keyb=
oard.c:956
>> #18 0x00005555557b73c0 in internal_condition_case
>> (bfun=3D0x5555556fa049 <command_loop_1>, handlers=3DXIL(0x90),
>> hfun=3D0x5555556f979a <cmd_error>) at eval.c:1471
>> #19 0x00005555556f9d0e in command_loop_2 (ignore=3DXIL(0)) at keyboard.c=
:1094
>> #20 0x00005555557b6a22 in internal_catch (tag=3DXIL(0x61e0),
>> func=3D0x5555556f9ce1 <command_loop_2>, arg=3DXIL(0)) at eval.c:1198
>> #21 0x00005555556f9c3c in command_loop () at keyboard.c:1065
>> #22 0x00005555556f9369 in recursive_edit_1 () at keyboard.c:720
>> #23 0x000055555574234d in read_minibuf (map=3DXIL(0x7fffe9d1620b),
>> initial=3DXIL(0), prompt=3DXIL(0x55557cb10434), expflag=3Dfalse,
>> histvar=3DXIL(0x2aaa93f69bb8), histpos=3Dmake_fixnum(0),
>> defalt=3DXIL(0x55558dcc1244), allow_props=3Dfalse,
>> inherit_input_method=3Dtrue) at minibuf.c:870
>> #24 0x000055555574354f in Fread_from_minibuffer
>> (prompt=3DXIL(0x55557cb10434), initial_contents=3DXIL(0),
>> keymap=3DXIL(0x7fffe9d1620b), read=3DXIL(0), hist=3DXIL(0x2aaa93f69bb8),
>> default_value=3DXIL(0x55558dcc1244), inherit_input_method=3DXIL(0x30))
>> at minibuf.c:1318
>> #25 0x00005555557bb6d7 in funcall_subr (subr=3D0x555555e6e7a0
>> <Sread_from_minibuffer>, numargs=3D7, args=3D0x7fffffffc1e0) at
>> eval.c:3131
>> #26 0x00005555557bb0f6 in Ffuncall (nargs=3D8, args=3D0x7fffffffc1d8) at=
 eval.c:3036
>> #27 0x000055555580ac6d in exec_byte_code
>> (bytestr=3DXIL(0x7fffe9e9b0a4), vector=3DXIL(0x7fffe9e98505),
>> maxdepth=3Dmake_fixnum(12), args_template=3Dmake_fixnum(771), nargs=3D3,
>> args=3D0x7fffffffc720) at bytecode.c:632
>> #28 0x00005555557bb80b in fetch_and_exec_byte_code
>> (fun=3DXIL(0x7fffe9e984d5), syms_left=3Dmake_fixnum(771), nargs=3D3,
>> args=3D0x7fffffffc708) at eval.c:3160
>> #29 0x00005555557bbbbb in funcall_lambda (fun=3DXIL(0x7fffe9e984d5),
>> nargs=3D3, arg_vector=3D0x7fffffffc708) at eval.c:3241
>> #30 0x00005555557bb14a in Ffuncall (nargs=3D4, args=3D0x7fffffffc700) at=
 eval.c:3040
>> #31 0x000055555580ac6d in exec_byte_code
>> (bytestr=3DXIL(0x7fffe9ea198c), vector=3DXIL(0x7fffe9e9f9ed),
>> maxdepth=3Dmake_fixnum(12), args_template=3Dmake_fixnum(770), nargs=3D2,
>> args=3D0x7fffffffcc30) at bytecode.c:632
>> #32 0x00005555557bb80b in fetch_and_exec_byte_code
>> (fun=3DXIL(0x7fffe9e9f9bd), syms_left=3Dmake_fixnum(770), nargs=3D2,
>> args=3D0x7fffffffcc20) at eval.c:3160
>> #33 0x00005555557bbbbb in funcall_lambda (fun=3DXIL(0x7fffe9e9f9bd),
>> nargs=3D2, arg_vector=3D0x7fffffffcc20) at eval.c:3241
>> #34 0x00005555557bb14a in Ffuncall (nargs=3D3, args=3D0x7fffffffcc18) at=
 eval.c:3040
>> #35 0x000055555580ac6d in exec_byte_code
>> (bytestr=3DXIL(0x7fffe9ea19cc), vector=3DXIL(0x7fffe9e9f8ed),
>> maxdepth=3Dmake_fixnum(8), args_template=3DXIL(0), nargs=3D0, args=3D0x0=
) at
>> bytecode.c:632
>> #36 0x0000555555809fbc in Fbyte_code (bytestr=3DXIL(0x7fffe9ea19cc),
>> vector=3DXIL(0x7fffe9e9f8ed), maxdepth=3Dmake_fixnum(8)) at
>> bytecode.c:334
>> #37 0x00005555557b9ab5 in eval_sub (form=3DXIL(0x7fffe9e9f8bb)) at eval.=
c:2517
>> #38 0x00005555557b9062 in Feval (form=3DXIL(0x7fffe9e9f8bb), lexical=3DX=
IL(0)) at eval.c:2340
>> #39 0x00005555557b19c3 in Fcall_interactively
>> (function=3DXIL(0x2aaa93fb8c70), record_flag=3DXIL(0),
>> keys=3DXIL(0x55557d470145)) at callint.c:334
>> #40 0x00005555557bb5a4 in funcall_subr (subr=3D0x555555e73c60
>> <Scall_interactively>, numargs=3D3, args=3D0x7fffffffd500) at
>> eval.c:3116
>> #41 0x00005555557bb0f6 in Ffuncall (nargs=3D4, args=3D0x7fffffffd4f8) at=
 eval.c:3036
>> #42 0x000055555580ac6d in exec_byte_code
>> (bytestr=3DXIL(0x7fffe9de36a4), vector=3DXIL(0x7fffe9de330d),
>> maxdepth=3Dmake_fixnum(13), args_template=3Dmake_fixnum(1025), nargs=3D1,
>> args=3D0x7fffffffda60) at bytecode.c:632
>> #43 0x00005555557bb80b in fetch_and_exec_byte_code
>> (fun=3DXIL(0x7fffe9de32dd), syms_left=3Dmake_fixnum(1025), nargs=3D1,
>> args=3D0x7fffffffda58) at eval.c:3160
>> #44 0x00005555557bbbbb in funcall_lambda (fun=3DXIL(0x7fffe9de32dd),
>> nargs=3D1, arg_vector=3D0x7fffffffda58) at eval.c:3241
>> #45 0x00005555557bb14a in Ffuncall (nargs=3D2, args=3D0x7fffffffda50) at=
 eval.c:3040
>> #46 0x00005555557ba97e in call1 (fn=3DXIL(0x4560), arg1=3DXIL(0x2aaa93fb=
8c70)) at eval.c:2896
>> #47 0x00005555556fa897 in command_loop_1 () at keyboard.c:1466
>> #48 0x00005555557b73c8 in internal_condition_case
>> (bfun=3D0x5555556fa049 <command_loop_1>, handlers=3DXIL(0x90),
>> hfun=3D0x5555556f979a <cmd_error>) at eval.c:1475
>> #49 0x00005555556f9d0e in command_loop_2 (ignore=3DXIL(0)) at keyboard.c=
:1094
>> #50 0x00005555557b6a22 in internal_catch (tag=3DXIL(0xe4c0),
>> func=3D0x5555556f9ce1 <command_loop_2>, arg=3DXIL(0)) at eval.c:1198
>> #51 0x00005555556f9cac in command_loop () at keyboard.c:1073
>> #52 0x00005555556f9369 in recursive_edit_1 () at keyboard.c:720
>> #53 0x00005555556f94ed in Frecursive_edit () at keyboard.c:789
>> #54 0x00005555556f5ce2 in main (argc=3D2, argv=3D0x7fffffffdf48) at emac=
s.c:2297
>>=20
>> Lisp Backtrace:
>> "command-error-default-function" (0xffffb5d8)
>> "apply" (0xffffb7a8)
>> 0xea3bf4d8 PVEC_COMPILED
>> "read-from-minibuffer" (0xffffc1e0)
>> "query-replace-read-to" (0xffffc708)
>> "query-replace-read-args" (0xffffcc20)
>> "byte-code" (0xffffd0d0)
>> "call-interactively" (0xffffd500)
>> "command-execute" (0xffffda58)
>
> Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 May 2021 09:23:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 06 05:23:57 2021
Received: from localhost ([127.0.0.1]:37106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leaEe-0007Yg-Lp
	for submit <at> debbugs.gnu.org; Thu, 06 May 2021 05:23:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:60918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1leaEZ-0007Ya-Ie
 for submit <at> debbugs.gnu.org; Thu, 06 May 2021 05:23:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36130)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1leaEZ-0001gW-Bt
 for bug-gnu-emacs@HIDDEN; Thu, 06 May 2021 05:23:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51786)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1leaEY-0003NC-9X; Thu, 06 May 2021 05:23:50 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3574
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.86_2) (envelope-from <eliz@HIDDEN>)
 id 1leaEX-0001L0-T6; Thu, 06 May 2021 05:23:50 -0400
Date: Thu, 06 May 2021 12:23:37 +0300
Message-Id: <83r1ikdxly.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
In-Reply-To: <871ralmhw2.fsf@quad> (andrei.elkin@HIDDEN)
Subject: 28.0.50; Emacs crashes while printing an error message
References: <87pmyeekkq.fsf@quad> <837dkmhavj.fsf@HIDDEN>
 <87wnsma5aw.fsf@quad> <83im46fq68.fsf@HIDDEN> <87y2cupcb6.fsf@quad>
 <837dke49jq.fsf@HIDDEN> <87wnsdob3m.fsf@quad>
 <83o8dp2wba.fsf@HIDDEN> <871ralmhw2.fsf@quad>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: andrei.elkin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: andrei.elkin@HIDDEN
> Date: Wed, 05 May 2021 16:26:05 +0300
> 
> If I grasped the idea right (I had to `p "$xcdr-result"` at two point below)
> `data` looks to be a list of three:
> 
> 
> (gdb) p data
> $46 = XIL(0x5555707ca923)
> (gdb) xcar
> $47 = 0xfd50
> (gdb) xtype
> Lisp_Symbol
> (gdb) xsymbol
> $48 = (struct Lisp_Symbol *) 0x555555ef6810 <lispsym+64848>
> "wrong-type-argument"
> 
> (gdb) p data
> $50 = XIL(0x5555707ca923)
> (gdb) xcdr
> $51 = 0x5555707ca953
> (gdb) xtype
> Lisp_Cons
> 
> 
> (gdb) xcar
> $52 = 0x9990
> (gdb) xtype
> Lisp_Symbol
> (gdb) xsymbol
> $53 = (struct Lisp_Symbol *) 0x555555ef0450 <lispsym+39312>
> "listp"
> (gdb) p $51
> $54 = XIL(0x5555707ca953)
> (gdb) xcdr
> $55 = 0x5555707ca983
> (gdb) xtype
> Lisp_Cons
> 
> 
> (gdb) xcar
> $56 = 0x555576f260a0
> (gdb) xtype
> Lisp_Symbol
> (gdb) xsymbol
> $57 = (struct Lisp_Symbol *) 0xaaaacce0cb60
> Cannot access memory at address 0xaaaacce0cb68
> (gdb) p $55
> $58 = XIL(0x5555707ca983)
> (gdb) xcdr
> $59 = 0x0

Thanks.  Unfortunately, this is not helpful enough.  All it says is
that Emacs tried to display an error message about some object not
being a list, where the offending object is actually an invalid Lisp
object.  And the Lisp backtrace strangely omits several call frames
that I'd expect to see, based on the C backtrace, which also doesn't
help.

Can you please go to the C call-stack frames displayed by GDB, and
manually show the Lisp functions called there?  Given the backtrace I
reproduce below, I'd be interested in frames 15, 10, and 7, with the
following commands:

 (gdb) fr 15
 (gdb) pp fn
 (gdb) pp arg2
 (gdb) pp arg3
 (gdb) fr 10
 (gdb) p nargs
 (gdb) p args[0]
 (gdb) xtype
 (gdb) xSOMETHING
 (gdb) p args[1]
 (gdb) xtype
 (gdb) xSOMETHING
 (gdb) p args[2]
 (gdb) xtype
 (gdb) xSOMETHING
 (gdb) fr 7
 (gdb) p args[0]
 (gdb) xtype
 (gdb) xSOMETHING
 (gdb) p args[1]
 (gdb) xtype
 (gdb) xSOMETHING
 (gdb) p args[2]
 (gdb) xtype
 (gdb) xSOMETHING
 (gdb) p args[3]
 (gdb) xtype
 (gdb) xSOMETHING

where xSOMETHING means some "x" command according to what "xtype"
says.

> >> Lisp Backtrace:
> >> "command-error-default-function" (0xffffb5d8)
> >> "apply" (0xffffb7a8)
> >> 0xea3bf4d8 PVEC_COMPILED
> >> "read-from-minibuffer" (0xffffc1e0)
> >> "query-replace-read-to" (0xffffc708)
> >> "query-replace-read-args" (0xffffcc20)
> >> "byte-code" (0xffffd0d0)
> >> "call-interactively" (0xffffd500)
> >> "command-execute" (0xffffda58)
> >
> > According to this, the command which triggered the problem was
> > something about query-replace, not related to subprocesses.  So this
> > is a different bug, like I assumed.
> 
> It was query-replace, I also remember that. There might be two
> background activities at that moment: autosaving and lsp's
> 
>  lsp-completion-enable-additional-text-edit related
> 
> work (to fix my buffer's white spaces that I found out after restart [in
> another gdb session]).

Maybe the information I requested above will provide some hints.

If even that doesn't help, I'm afraid the only way forward would be to
provide a recipe for reproducing the problem, or maybe you could
pinpoint the top-level function call that injects an invalid Lisp
object.

And it's no longer a good idea for us to continue discussing this in
private, so I'm redirecting this to the bug tracker, and appending
below the last backtrace you sent.

> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x00005555557e252c in SYMBOL_NAME (sym=XIL(0x555576f260a0)) at lisp.h:2208
> 2208	  return XSYMBOL (sym)->u.s.name;
> (gdb) bt
> #0  0x00005555557e252c in SYMBOL_NAME (sym=XIL(0x555576f260a0)) at lisp.h:2208
> #1  0x00005555557eafd0 in print_object (obj=XIL(0x555576f260a0), printcharfun=XIL(0x30), escapeflag=true) at print.c:2072
> #2  0x00005555557e81c5 in print (obj=XIL(0x555576f260a0), printcharfun=XIL(0x30), escapeflag=true) at print.c:1145
> #3  0x00005555557e59ed in Fprin1 (object=XIL(0x555576f260a0), printcharfun=XIL(0x30)) at print.c:651
> #4  0x00005555557e7c45 in print_error_message (data=XIL(0x5555707ca923), stream=XIL(0x30), context=0x7fffea402143 "", caller=XIL(0x74d0)) at print.c:977
> #5  0x00005555556f9ba9 in Fcommand_error_default_function (data=XIL(0x5555707ca923), context=XIL(0x7fffe9d11524), signal=XIL(0x74d0)) at keyboard.c:1032
> #6  0x00005555557bb5a4 in funcall_subr (subr=0x555555e6c5a0 <Scommand_error_default_function>, numargs=3, args=0x7fffffffb5d8) at eval.c:3116
> #7  0x00005555557bb0f6 in Ffuncall (nargs=4, args=0x7fffffffb5d0) at eval.c:3036
> #8  0x00005555557ba356 in Fapply (nargs=2, args=0x7fffffffb7a8) at eval.c:2666
> #9  0x00005555557bb452 in funcall_subr (subr=0x555555e74420 <Sapply>, numargs=2, args=0x7fffffffb7a8) at eval.c:3091
> #10 0x00005555557bb0f6 in Ffuncall (nargs=3, args=0x7fffffffb7a0) at eval.c:3036
> #11 0x000055555580ac6d in exec_byte_code (bytestr=XIL(0x7fffe9d2d374), vector=XIL(0x7fffea3bf50d), maxdepth=make_fixnum(5), args_template=make_fixnum(128), nargs=3, args=0x7fffffffbc78) at bytecode.c:632
> #12 0x00005555557bb80b in fetch_and_exec_byte_code (fun=XIL(0x7fffea3bf4dd), syms_left=make_fixnum(128), nargs=3, args=0x7fffffffbc78) at eval.c:3160
> #13 0x00005555557bbbbb in funcall_lambda (fun=XIL(0x7fffea3bf4dd), nargs=3, arg_vector=0x7fffffffbc78) at eval.c:3241
> #14 0x00005555557bb14a in Ffuncall (nargs=4, args=0x7fffffffbc70) at eval.c:3040
> #15 0x00005555557baa4e in call3 (fn=XIL(0x7fffea3bf4dd), arg1=XIL(0x5555707ca923), arg2=XIL(0x7fffe9d11524), arg3=XIL(0x74d0)) at eval.c:2910
> #16 0x00005555556f9a33 in cmd_error_internal (data=XIL(0x5555707ca923), context=0x7fffffffbd10 "") at keyboard.c:987
> #17 0x00005555556f991e in cmd_error (data=XIL(0x5555707ca923)) at keyboard.c:956
> #18 0x00005555557b73c0 in internal_condition_case (bfun=0x5555556fa049 <command_loop_1>, handlers=XIL(0x90), hfun=0x5555556f979a <cmd_error>) at eval.c:1471
> #19 0x00005555556f9d0e in command_loop_2 (ignore=XIL(0)) at keyboard.c:1094
> #20 0x00005555557b6a22 in internal_catch (tag=XIL(0x61e0), func=0x5555556f9ce1 <command_loop_2>, arg=XIL(0)) at eval.c:1198
> #21 0x00005555556f9c3c in command_loop () at keyboard.c:1065
> #22 0x00005555556f9369 in recursive_edit_1 () at keyboard.c:720
> #23 0x000055555574234d in read_minibuf (map=XIL(0x7fffe9d1620b), initial=XIL(0), prompt=XIL(0x55557cb10434), expflag=false, histvar=XIL(0x2aaa93f69bb8), histpos=make_fixnum(0), defalt=XIL(0x55558dcc1244), allow_props=false, inherit_input_method=true) at minibuf.c:870
> #24 0x000055555574354f in Fread_from_minibuffer (prompt=XIL(0x55557cb10434), initial_contents=XIL(0), keymap=XIL(0x7fffe9d1620b), read=XIL(0), hist=XIL(0x2aaa93f69bb8), default_value=XIL(0x55558dcc1244), inherit_input_method=XIL(0x30)) at minibuf.c:1318
> #25 0x00005555557bb6d7 in funcall_subr (subr=0x555555e6e7a0 <Sread_from_minibuffer>, numargs=7, args=0x7fffffffc1e0) at eval.c:3131
> #26 0x00005555557bb0f6 in Ffuncall (nargs=8, args=0x7fffffffc1d8) at eval.c:3036
> #27 0x000055555580ac6d in exec_byte_code (bytestr=XIL(0x7fffe9e9b0a4), vector=XIL(0x7fffe9e98505), maxdepth=make_fixnum(12), args_template=make_fixnum(771), nargs=3, args=0x7fffffffc720) at bytecode.c:632
> #28 0x00005555557bb80b in fetch_and_exec_byte_code (fun=XIL(0x7fffe9e984d5), syms_left=make_fixnum(771), nargs=3, args=0x7fffffffc708) at eval.c:3160
> #29 0x00005555557bbbbb in funcall_lambda (fun=XIL(0x7fffe9e984d5), nargs=3, arg_vector=0x7fffffffc708) at eval.c:3241
> #30 0x00005555557bb14a in Ffuncall (nargs=4, args=0x7fffffffc700) at eval.c:3040
> #31 0x000055555580ac6d in exec_byte_code (bytestr=XIL(0x7fffe9ea198c), vector=XIL(0x7fffe9e9f9ed), maxdepth=make_fixnum(12), args_template=make_fixnum(770), nargs=2, args=0x7fffffffcc30) at bytecode.c:632
> #32 0x00005555557bb80b in fetch_and_exec_byte_code (fun=XIL(0x7fffe9e9f9bd), syms_left=make_fixnum(770), nargs=2, args=0x7fffffffcc20) at eval.c:3160
> #33 0x00005555557bbbbb in funcall_lambda (fun=XIL(0x7fffe9e9f9bd), nargs=2, arg_vector=0x7fffffffcc20) at eval.c:3241
> #34 0x00005555557bb14a in Ffuncall (nargs=3, args=0x7fffffffcc18) at eval.c:3040
> #35 0x000055555580ac6d in exec_byte_code (bytestr=XIL(0x7fffe9ea19cc), vector=XIL(0x7fffe9e9f8ed), maxdepth=make_fixnum(8), args_template=XIL(0), nargs=0, args=0x0) at bytecode.c:632
> #36 0x0000555555809fbc in Fbyte_code (bytestr=XIL(0x7fffe9ea19cc), vector=XIL(0x7fffe9e9f8ed), maxdepth=make_fixnum(8)) at bytecode.c:334
> #37 0x00005555557b9ab5 in eval_sub (form=XIL(0x7fffe9e9f8bb)) at eval.c:2517
> #38 0x00005555557b9062 in Feval (form=XIL(0x7fffe9e9f8bb), lexical=XIL(0)) at eval.c:2340
> #39 0x00005555557b19c3 in Fcall_interactively (function=XIL(0x2aaa93fb8c70), record_flag=XIL(0), keys=XIL(0x55557d470145)) at callint.c:334
> #40 0x00005555557bb5a4 in funcall_subr (subr=0x555555e73c60 <Scall_interactively>, numargs=3, args=0x7fffffffd500) at eval.c:3116
> #41 0x00005555557bb0f6 in Ffuncall (nargs=4, args=0x7fffffffd4f8) at eval.c:3036
> #42 0x000055555580ac6d in exec_byte_code (bytestr=XIL(0x7fffe9de36a4), vector=XIL(0x7fffe9de330d), maxdepth=make_fixnum(13), args_template=make_fixnum(1025), nargs=1, args=0x7fffffffda60) at bytecode.c:632
> #43 0x00005555557bb80b in fetch_and_exec_byte_code (fun=XIL(0x7fffe9de32dd), syms_left=make_fixnum(1025), nargs=1, args=0x7fffffffda58) at eval.c:3160
> #44 0x00005555557bbbbb in funcall_lambda (fun=XIL(0x7fffe9de32dd), nargs=1, arg_vector=0x7fffffffda58) at eval.c:3241
> #45 0x00005555557bb14a in Ffuncall (nargs=2, args=0x7fffffffda50) at eval.c:3040
> #46 0x00005555557ba97e in call1 (fn=XIL(0x4560), arg1=XIL(0x2aaa93fb8c70)) at eval.c:2896
> #47 0x00005555556fa897 in command_loop_1 () at keyboard.c:1466
> #48 0x00005555557b73c8 in internal_condition_case (bfun=0x5555556fa049 <command_loop_1>, handlers=XIL(0x90), hfun=0x5555556f979a <cmd_error>) at eval.c:1475
> #49 0x00005555556f9d0e in command_loop_2 (ignore=XIL(0)) at keyboard.c:1094
> #50 0x00005555557b6a22 in internal_catch (tag=XIL(0xe4c0), func=0x5555556f9ce1 <command_loop_2>, arg=XIL(0)) at eval.c:1198
> #51 0x00005555556f9cac in command_loop () at keyboard.c:1073
> #52 0x00005555556f9369 in recursive_edit_1 () at keyboard.c:720
> #53 0x00005555556f94ed in Frecursive_edit () at keyboard.c:789
> #54 0x00005555556f5ce2 in main (argc=2, argv=0x7fffffffdf48) at emacs.c:2297
> 
> Lisp Backtrace:
> "command-error-default-function" (0xffffb5d8)
> "apply" (0xffffb7a8)
> 0xea3bf4d8 PVEC_COMPILED
> "read-from-minibuffer" (0xffffc1e0)
> "query-replace-read-to" (0xffffc708)
> "query-replace-read-args" (0xffffcc20)
> "byte-code" (0xffffd0d0)
> "call-interactively" (0xffffd500)
> "command-execute" (0xffffda58)

Thanks.




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48252; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 1 Jul 2022 11:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.